## qtdeclarative-opensource-src 5.11.1

=== debian/changelog ===
qtdeclarative-opensource-src (5.11.1-6) unstable; urgency=medium

  * Backport upstream patch to fix unaligned memory access on ARM.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 02 Oct 2018 19:12:20 +0300

qtdeclarative-opensource-src (5.11.1-5) unstable; urgency=medium

  * Update symbols files from buildds’ logs (closes: #906531, #907153).
  * Remove unneeded command from debian/rules.
  * Bump Standards-Version to 4.2.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 25 Aug 2018 15:08:52 +0300

qtdeclarative-opensource-src (5.11.1-4) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 26 Jul 2018 22:09:16 -0300

qtdeclarative-opensource-src (5.11.1-3) unstable; urgency=medium

  * Upload to Sid.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 25 Jul 2018 04:49:31 -0500

qtdeclarative-opensource-src (5.11.1-2) experimental; urgency=medium

  * Remove the dbgsym migration section of debian/rules; it isn't needed
    anymore.
  * Bump the virtual ABI package to qtdeclarative-abi-5-11-0 because of
    MISSING symbols.
  * Update symbols from buildd logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 22 Jun 2018 14:06:24 -0500

qtdeclarative-opensource-src (5.11.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump build dependencies to 5.11.1.
  * Upstream testcase_array_iteration.patch from Ubuntu.
  * Remove Do-not-make-lack-of-SSE2-support-on-x86-32-fatal.patch due to
    it not being fixed in time.
  * Refresh quilt patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 16:26:32 -0500

qtdeclarative-opensource-src (5.11.0-2) experimental; urgency=medium

  [ Simon Quigley ]
  * Update symbols from buildds' logs.

  [ Dmitry Shachnev ]
  * Restore fix_test_remove_qlibraryinfo.patch, it is still needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 19 Jun 2018 01:02:40 -0400

qtdeclarative-opensource-src (5.11.0-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from buildds’ logs.
  * Mark some symbols as optional to fix FTBFS with GCC 8 (closes: #897842).

  [ Simon Quigley ]
  * New upstream release.
  * Bump build dependencies to 5.11.0.
  * Add my name to the copyright for the packaging.
  * Refresh patches for the new release:
    - Remove reverse-applicable patches (or patches otherwise unneeded anymore):
      + avoid-marking-hidden-windows-updatePending.patch
      + disable_jit_on_mips.patch
      + fix_test_remove_qlibraryinfo.patch
    - Refresh all other patches.
  * Update symbols from amd64 build logs.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 13 Jun 2018 02:03:31 -0500

qtdeclarative-opensource-src (5.10.1-4) unstable; urgency=high

  * Avoid marking hidden windows as updatePending in Gui render loop
    (LP: #1761016).
    - avoid-marking-hidden-windows-updatePending.patch
  * Bump Standards-version to 4.1.4, no changes needed.
  * Bump debhelper compat to 11, no changes needed.
  * Add hardening rules in debian/rules.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 09 Apr 2018 18:44:03 -0500

qtdeclarative-opensource-src (5.10.1-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 07 Apr 2018 17:05:42 -0300

qtdeclarative-opensource-src (5.10.1-2) experimental; urgency=medium

  * Make qml-module-qttest depend on qml-module-qtquick-window2,
    following upstream changes in Qt 5.10.0.
  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 17:37:32 +0300

qtdeclarative-opensource-src (5.10.1-1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches for the new release.
  * Bump Qt build-dependencies to 5.10.1.
  * Update Vcs fields for migration to salsa.debian.org.
  * Update symbols files with 5.10.0 and current build logs.
  * Install plugins.qmltypes in qml-module-qt-labs-handlers.install.
  * Update debian/copyright.
  * Bump qtdeclarative-abi version to 5-10-1.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 20 Feb 2018 01:10:02 +0300

qtdeclarative-opensource-src (5.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch for the new tarball names.
  * Drop revert_singletons_change.diff, QTBUG-64017 was fixed upstream.
  * Bump Qt build-dependencies to 5.10.0.
  * Use dh_auto_configure provided by debhelper.
  * Refresh patches for the new release.
  * Update debian/copyright.
  * New packages: qml-module-qtquick-shapes, qml-module-qt-labs-handlers.
  * Update symbols files from the current build logs.
  * Bump qtdeclarative-abi version to 5-10-0.
  * Bump Standards-Version to 4.1.3, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 16 Jan 2018 18:46:39 +0300
