=== debian/changelog ===
qtdeclarative-opensource-src (5.11.3-4) unstable; urgency=medium

  * Add fix_crash_on_big_endian.patch to fix crash when loading AOT caches
    on big endian platforms. Thanks Alexander Volkov!
  * Update debian/libqt5qml5.symbols from x32 build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Mar 2019 21:03:33 +0300

qtdeclarative-opensource-src (5.11.3-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Fix build failure on x32 by disabling JIT there (closes: #918545).

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * libqt5qml5: libgl1-mesa-glx became a dummy transitional package, replace
    it by the packages it depends upon, namely libgl1 and libglx-mesa0
    (Closes: #921472). Thanks Gabriele Stilli for the bug report.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Thu, 07 Feb 2019 23:21:22 -0300

qtdeclarative-opensource-src (5.11.3-2) unstable; urgency=medium

  [ Simon Quigley ]
  * Change my email to tsimonq2@debian.org now that I am a Debian Developer.
  * Bump Standards-version to 4.3.0, no changes needed.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 26 Dec 2018 16:16:50 -0300

qtdeclarative-opensource-src (5.11.3-1) experimental; urgency=medium

  * New upstream release.
    - Bump Qt build dependencies.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 07 Dec 2018 09:46:37 -0300

qtdeclarative-opensource-src (5.11.2-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Update symbols files from mips64r6el build log (closes: #911601).

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate Build-Depends: python with :any. (Closes: #913243)

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 15 Nov 2018 12:53:51 +0300

qtdeclarative-opensource-src (5.11.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 15 Oct 2018 21:16:04 +0300

qtdeclarative-opensource-src (5.11.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.11.2.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Update debian/libqt5qml5.symbols from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-11-2.
  * Bump Standards-Version to 4.2.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Sep 2018 11:26:37 +0300
