=== debian/control ===
--- 
+++ 
@@ -7,31 +7,31 @@
            Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
-           Simon Quigley <tsimonq2@ubuntu.com>
+           Simon Quigley <tsimonq2@debian.org>
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.11.1+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.11.1~),
+               libqt5opengl5-dev (>= 5.11.3+dfsg~),
+               libqt5xmlpatterns5-dev (>= 5.11.3~),
                pkg-kde-tools (>= 0.15.17~),
-               python,
-               qtbase5-private-dev (>= 5.11.1+dfsg~),
+               python:any,
+               qtbase5-private-dev (>= 5.11.3+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.1+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.1~) <!nodoc>
-Standards-Version: 4.2.0
+Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-11-0
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: libgl1-mesa-glx
+Provides: qtdeclarative-abi-5-11-2
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: libgl1, libglx-mesa0
 Suggests: qt5-qmltooling-plugins
 Description: Qt 5 QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -273,8 +273,8 @@
          libqt5quicktest5 (= ${binary:Version}),
          libqt5quickwidgets5 (= ${binary:Version}),
          qt5-qmltooling-plugins,
+         qtbase5-dev,
          qtdeclarative5-dev-tools,
-         qtbase5-dev,
          ${misc:Depends}
 Description: Qt 5 declarative development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
