## qtdeclarative-opensource-src 5.12.2

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.2-2) experimental; urgency=medium

  * Override symbols-declares-dependency-on-other-package Lintian warning
    for the libqt5quickshapes5 package.
  * Update symbols files from buildds’ logs.
  * Drop testcase_array_iteration.patch. The iterating code was changed
    upstream, and qtmultimedia tests no longer fail on Ubuntu arm64 without
    this patch.
  * Set QT_PLUGIN_PATH when running tests, to fix some debugger tests.
  * Do not set QT_LOGGING_RULES, not needed with qtbase ≥ 5.9.2+dfsg-7.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Mar 2019 19:30:55 +0300

qtdeclarative-opensource-src (5.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Drop x32_no_jit.patch, applied upstream.
  * Drop fix_crash_on_big_endian.patch, no longer needed.
  * Refresh and rebase other patches.
  * Stop building qml-module-qtquick-xmllistmodel package, it will be moved
    to qtxmlpatterns source.
  * Also drop libqt5xmlpatterns5-dev build-dependency, no longer needed.
  * Bump Qt build-dependencies to 5.12.2.
  * Update Lintian source-is-missing overrides to cover more test files.
  * Update debian/copyright.
  * Remove qml-module-qt-labs-handlers package. Its code was merged into
    the main Qt Quick module.
  * Add three new binary packages:
    - libqt5quickshapes5: Qt Quick Shapes support library.
    - qml-module-qt-labs-qmlmodels: experimental data models QML types.
    - qml-module-qt-labs-wavefrontmesh: mesh based on Wavefront .obj files.
  * Install the new qmlpreview tool in qtdeclarative5-dev-tools.
  * Update symbols files from the current build log.
  * Bump ABI version to qtdeclarative-abi-5-12-2.
  * Update dependencies of qtdeclarative5-examples package.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 16 Mar 2019 11:17:38 +0300
