=== debian/control ===
--- 
+++ 
@@ -11,22 +11,21 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.11.3+dfsg~),
-               libqt5xmlpatterns5-dev (>= 5.11.3~),
+               libqt5opengl5-dev (>= 5.12.2+dfsg~),
                pkg-kde-tools (>= 0.15.17~),
                python:any,
-               qtbase5-private-dev (>= 5.11.3+dfsg~),
+               qtbase5-private-dev (>= 5.12.2+dfsg~),
                xauth,
                xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.11.3+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.11.3~) <!nodoc>
+Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
+                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
 Standards-Version: 4.3.0
 Homepage: http://qt-project.org/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-11-2
+Provides: qtdeclarative-abi-5-12-2
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -68,6 +67,16 @@
  .
  This package contains the Qt Quick Particles support library.
 
+Package: libqt5quickshapes5
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Quick Shapes module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the Qt Quick Shapes support library.
+
 Package: libqt5quicktest5
 Architecture: any
 Multi-Arch: same
@@ -147,6 +156,26 @@
  .
  This package contains the Shared Image plugin.
 
+Package: qml-module-qt-labs-qmlmodels
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Qt.labs.qmlmodels QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module contains experimental QML types related to data models.
+
+Package: qml-module-qt-labs-wavefrontmesh
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Qt 5 Qt.labs.wavefrontmesh QML module
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This QML module provides a mesh based on a Wavefront .obj file.
+
 Package: qml-module-qtqml-models2
 Architecture: any
 Multi-Arch: same
@@ -202,18 +231,6 @@
  .
  The Shapes plugin allows adding stroked and filled paths composed of
  lines, quadratic curves, cubic curves, and arcs into Qt Quick scenes.
-
-Package: qml-module-qt-labs-handlers
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 Qt.labs.handlers QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This module provides QML types for handling events from pointing
- devices in a UI.
 
 Package: qml-module-qt-labs-settings
 Architecture: any
@@ -251,17 +268,6 @@
  .
  This QML module contains types for creating top-level windows and
  accessing screen information.
-
-Package: qml-module-qtquick-xmllistmodel
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 xmllistmodel QML module
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This QML module contains types for creating models from XML data.
 
 Package: qtdeclarative5-dev
 Section: libdevel
@@ -314,8 +320,3 @@
 Multi-Arch: foreign
 Section: devel
 Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
-Description: Qt 5 QML scene viewer
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
- This package contains the older QML viewer for Qt Quick 2. See qml package
