=== debian/rules ===
--- 
+++ 
@@ -60,11 +60,13 @@
 override_dh_auto_test-arch:
 	$(MAKE) install -Csrc/imports INSTALL_ROOT=$(CURDIR)/test_root
 	mkdir -p $(CURDIR)/.local/share/QtProject/tst_qqmlengine
-	# Make the tests non-fatal, see the 5.7.1~20161021-2 changelog.
-	-QT_LOGGING_RULES="default.debug=true;qml.debug=true;js.debug=true" xvfb-run -a \
+	# - The qqmlpreview test fails because QSettings fails to get a lock file.
+	# - Some tests are failing on mips* because of #868745.
+	-xvfb-run -a \
 	         -s "-screen 0 1024x768x24 +extension RANDR +extension RENDER +extension GLX" \
 	         dh_auto_test --max-parallel=1 -- -k -Ctests/auto \
 	         QML2_IMPORT_PATH=$(CURDIR)/test_root/usr/lib/$(DEB_HOST_MULTIARCH)/qt5/qml \
+	         QT_PLUGIN_PATH=$(CURDIR)/plugins \
 	         HOME=$(CURDIR) LD_LIBRARY_PATH=$(CURDIR)/lib XDG_RUNTIME_DIR=$(CURDIR)
 
 override_dh_auto_test-indep:
