## qtdeclarative-opensource-src 5.12.4

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.4-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * Update packaging to use doc-base as per policy 9.10.

  [ Dmitry Shachnev ]
  * New upstream release.
  * Drop unused build-dependency on libqt5opengl5-dev.
  * Add support for nocheck build profile.
  * Bump qtbase build-dependencies to 5.12.4.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Backport upstream patch with a workaround for ia64 (closes: #929682).
  * Build-Depend-Indep on individual qdoc-qt5, qhelpgenerator-qt5 and
    qtattributionsscanner-qt5 packages, instead of qttools5-doc-tools.
  * Update symbols files from buildds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-4.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 19 Jun 2019 14:54:49 +0300

qtdeclarative-opensource-src (5.12.3-1) experimental; urgency=medium

  * New upstream release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.3.
  * Update Homepage URL.
  * Make qtdeclarative5-dev depend on libqt5quickshapes5 (closes: #927447).
  * Update symbols files from buillds’ and the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-3.
  * Add a patch to make SignalSpy test use qWaitForWindowExposed() function
    instead of qWaitForWindowActive(), which does not work without a WM.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 21 Apr 2019 22:23:03 +0300
