=== debian/control ===
--- 
+++ 
@@ -11,21 +11,22 @@
 Build-Depends: debhelper (>= 11),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
-               libqt5opengl5-dev (>= 5.12.2+dfsg~),
                pkg-kde-tools (>= 0.15.17~),
                python:any,
-               qtbase5-private-dev (>= 5.12.2+dfsg~),
-               xauth,
-               xvfb
-Build-Depends-Indep: qtbase5-doc-html (>= 5.12.2+dfsg~) <!nodoc>,
-                     qttools5-dev-tools (>= 5.12.2~) <!nodoc>
+               qtbase5-private-dev (>= 5.12.4+dfsg-2~),
+               xauth <!nocheck>,
+               xvfb <!nocheck>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
 Standards-Version: 4.3.0
-Homepage: http://qt-project.org/
+Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-2
+Provides: qtdeclarative-abi-5-12-4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -276,6 +277,7 @@
 Depends: libqt5qml5 (= ${binary:Version}),
          libqt5quick5 (= ${binary:Version}),
          libqt5quickparticles5 (= ${binary:Version}),
+         libqt5quickshapes5 (= ${binary:Version}),
          libqt5quicktest5 (= ${binary:Version}),
          libqt5quickwidgets5 (= ${binary:Version}),
          qt5-qmltooling-plugins,
@@ -313,10 +315,3 @@
  is its rich set of widgets that provide standard GUI functionality.
  .
  This package contains the development programs used for building Qt 5
- declarative applications.
-
-Package: qmlscene
-Architecture: any
-Multi-Arch: foreign
-Section: devel
-Depends: qtchooser, ${misc:Depends}, ${shlibs:Depends}
