## qtdeclarative-opensource-src 5.12.5

=== debian/changelog ===
qtdeclarative-opensource-src (5.12.5-5) unstable; urgency=medium

  * Link with -latomic on riscv64, based on a patch by Aurelien Jarno.
  * Add a patch from OpenSUSE to build with Python 3 (closes: #938319).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 02 Jan 2020 14:25:07 +0300

qtdeclarative-opensource-src (5.12.5-4) experimental; urgency=medium

  * Update debian/libqt5qml5.symbols from buildds’ logs.
  * Update symbols files of libqt5quick5 and libqt5quickparticles5
    packages to add an alternative dependency on their -gles variants
    that will provide the same ABI.
  * Remove build paths from .prl files for reproducibility.
  * Split the doxygen .tags files into a new qtdeclarative5-doc-dev
    package (see #922707).
  * Bump debhelper compat level to 12, use the new syntax.
    - Drop dh_makeshlibs override, -V is now the default.
  * Fix a typo in debian/qtdeclarative5-doc-html.doc-base.qtqml.
  * Replace YouTube iframe with YouTube link in the documentation.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 19 Dec 2019 12:06:23 +0300

qtdeclarative-opensource-src (5.12.5-3) unstable; urgency=medium

  * Update symbols files from buildds’ logs.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 21 Oct 2019 20:12:14 +0300

qtdeclarative-opensource-src (5.12.5-2) unstable; urgency=medium

  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.4.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 22:44:39 +0300

qtdeclarative-opensource-src (5.12.5-1) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * Make tests fatal on architectures where they are currently passing.
  * Add comments explaining the issues on other architectures.
  * New upstream release.
  * Drop ia64.patch, applied in the new release.
  * Refresh fix_test_remove_qlibraryinfo.patch.
  * Bump Qt build-dependencies to 5.12.5.
  * Update symbols files from the current build logs.
  * Bump ABI version to qtdeclarative-abi-5-12-5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 14 Sep 2019 11:27:49 -0300
