=== debian/control ===
--- 
+++ 
@@ -8,25 +8,25 @@
            Timo Jyrinki <timo@debian.org>,
            Dmitry Shachnev <mitya57@debian.org>,
            Simon Quigley <tsimonq2@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                dpkg-dev (>= 1.17.14),
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
-               python:any,
-               qtbase5-private-dev (>= 5.12.4+dfsg-2~),
+               python3:any,
+               qtbase5-private-dev (>= 5.12.5+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.4~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.4~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.4+dfsg~) <!nodoc>
-Standards-Version: 4.3.0
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-4
+Provides: qtdeclarative-abi-5-12-5
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
