=== debian/control ===
--- 
+++ 
@@ -13,20 +13,20 @@
                libgl1-mesa-dri,
                pkg-kde-tools (>= 0.15.17~),
                python3:any,
-               qtbase5-private-dev (>= 5.12.5+dfsg~),
+               qtbase5-private-dev (>= 5.12.8+dfsg~),
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: qdoc-qt5 (>= 5.12.5~) <!nodoc>,
-                     qhelpgenerator-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtattributionsscanner-qt5 (>= 5.12.5~) <!nodoc>,
-                     qtbase5-doc-html (>= 5.12.5+dfsg~) <!nodoc>
+Build-Depends-Indep: qdoc-qt5 (>= 5.12.8~) <!nodoc>,
+                     qhelpgenerator-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtattributionsscanner-qt5 (>= 5.12.8~) <!nodoc>,
+                     qtbase5-doc-html (>= 5.12.8+dfsg~) <!nodoc>
 Standards-Version: 4.4.1
 Homepage: https://doc.qt.io/qt-5/qmlapplications.html
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt/qtdeclarative
 
 Package: libqt5qml5
-Provides: qtdeclarative-abi-5-12-5
+Provides: qtdeclarative-abi-5-12-8
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
